const std = @import("std");

fn solveLine(line: []const u8) i64 {
    var result: u32 = 0;
    var i: usize = 0;
    while (i < line.len) {
        var current_number: u16 = 0;
        while (i < line.len and line[i] != ',') : (i += 1) {
            current_number += line[i];
            current_number *= 17;
            current_number %= 256;
        }

        result += current_number;
        i += 1;
    }

    return result;
}

pub fn main() !void {
    const stdout = std.io.getStdOut().writer();

    const raw_in = std.io.getStdIn();
    var buffered_reader = std.io.bufferedReader(raw_in.reader());
    var reader = buffered_reader.reader();

    var result: i64 = 0;
    var line_buffer: [30000]u8 = undefined;
    while (try reader.readUntilDelimiterOrEof(&line_buffer, '\n')) |line| {
        result += solveLine(line);
    }
    try stdout.print("{d}\n", .{result});
}
